MCP Tools Reference: bigtableadmin.googleapis.com

Tool: get_logical_view

Get information about the specified logical view. The request requires the name field to be set in the format 'projects/{project}/instances/{instance}/logicalViews/{logical_view}'. Example: { "name": "projects/my-project/instances/my-instance/logicalViews/my-logical-view" }

The following sample demonstrate how to use curl to invoke the get_logical_view MCP tool.

Curl Request
                  
curl --location 'https://bigtableadmin.googleapis.com/mcp' \
--header 'content-type: application/json' \
--header 'accept: application/json, text/event-stream' \
--data '{
  "method": "tools/call",
  "params": {
    "name": "get_logical_view",
    "arguments": {
      // provide these details according to the tool's MCP specification
    }
  },
  "jsonrpc": "2.0",
  "id": 1
}'
                

Input Schema

Request message for BigtableInstanceAdmin.GetLogicalView.

GetLogicalViewRequest

JSON representation
{
  "name": string
}
Fields
name

string

Required. The unique name of the requested logical view. Values are of the form projects/{project}/instances/{instance}/logicalViews/{logical_view}.

Output Schema

A simplified mcp version of the SQL logical view object.

LogicalView

JSON representation
{
  "name": string,
  "query": string,
  "deletionProtection": boolean
}
Fields
name

string

Identifier. The name of the logical view.

query

string

Required. The logical view's select query.

deletionProtection

boolean

Optional. Set to true to make the LogicalView protected against deletion.

Tool Annotations

Destructive Hint: ❌ | Idempotent Hint: ❌ | Read Only Hint: ✅ | Open World Hint: ✅